Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class PoolPatch.Record

    java.lang.Object
      com.xensource.xenapi.PoolPatch.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  PoolPatch

    public static class PoolPatch.Record

extends Object
implements Types.Record

Represents all the fields in a PoolPatch

Field Summary
`Set<Types.AfterApplyGuidance>` | `afterApplyGuidance` What the client should do after this patch has been applied.
`Set<HostPatch>` | `hostPatches` This hosts this patch is applied to.
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Map<String,String>` | `otherConfig` additional configuration
`Boolean` | `poolApplied` This patch should be applied across the entire pool
`Long` | `size` Size of the patch
`String` | `uuid` Unique identifier/object reference
`String` | `version` Patch version number

Constructor Summary
`PoolPatch.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a pool_patch.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### version

    public String version

  Patch version number

### size

    public Long size

  Size of the patch

### poolApplied

    public Boolean poolApplied

  This patch should be applied across the entire pool

### hostPatches

    public Set<HostPatch> hostPatches

  This hosts this patch is applied to.

### afterApplyGuidance

    public Set<Types.AfterApplyGuidance> afterApplyGuidance

  What the client should do after this patch has been applied.

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

Constructor Detail

### PoolPatch.Record

    public PoolPatch.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a pool_patch.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD